-- Vertex's Scripting Library
Extensions.Register("constant",1,2,"Constants")
RESET_STANDARD=0x1fe0000
RESET_PHASE_END=RESET_PHASE+PHASE_END
TIMING_GROUP_TURN_RESPONSE=TIMING_STANDBY_PHASE+TIMING_MAIN_END+TIMING_END_PHASE
TIMING_GROUP_SUMMON=TIMING_SUMMON+TIMING_FLIPSUMMON+TIMING_SPSUMMON
TIMING_GROUP_NEW_CARD=TIMING_GROUP_SUMMON+TIMING_MSET+TIMING_SSET+TIMING_EQUIP
TIMING_GROUP_BATTLE=TIMING_BATTLE_START+TIMING_ATTACK
TIMING_GROUP_RESPONSIVE=TIMING_GROUP_TURN_RESPONSE+TIMING_GROUP_NEW_CARD+TIMING_GROUP_BATTLE+TIMING_CHAIN_END
CARD_POLYMERIZATION=24094653
CATEGORY_HAND_SEARCH=CATEGORY_SEARCH+CATEGORY_TOHAND
CATEGORY_SUMMON_TOKEN=CATEGORY_SPECIAL_SUMMON+CATEGORY_TOKEN
DECK_ORDER_TOP=0
DECK_ORDER_BOTTOM=1
DECK_ORDER_SHUFFLE=2
NO_COPY_NO_DISABLE=EFFECT_FLAG_UNCOPYABLE+EFFECT_FLAG_CANNOT_DISABLE
RESET_END=PHASE_END
RESET_END_STANDARD=RESET_PHASE+PHASE_END+RESET_EVENT+RESET_STANDARD
POS_FACEUP_DEFENCE=POS_FACEUP_DEFENSE
POS_FACEDOWN_DEFENCE=POS_FACEDOWN_DEFENSE
POS_DEFENCE=POS_DEFENSE
ASSUME_DEFENCE=ASSUME_DEFENSE
EFFECT_UPDATE_DEFENCE=EFFECT_UPDATE_DEFENSE
EFFECT_SET_DEFENCE=EFFECT_SET_DEFENSE
EFFECT_SET_DEFENCE_FINAL=EFFECT_SET_DEFENSE
EFFECT_SET_BASE_DEFENCE=EFFECT_SET_BASE_DEFENSE
EFFECT_SWAP_DEFENCE_FINAL=EFFECT_SWAP_DEFENSE_FINAL
EFFECT_DEFENCE_ATTACK=EFFECT_DEFENSE_ATTACK
EFFECT_CANNOT_BE_DISCARD=90307777
HINTMSG_DEFENCE=HINTMSG_DEFENSE
HINTMSG_FACEUPDEFENCE=HINTMSG_FACEUPDEFENSE
HINTMSG_FACEUPDEFENCE=HINTMSG_FACEUPDEFENSE
EFFECT_TYPE_SINGLE_TRIGGER_O=EFFECT_TYPE_SINGLE+EFFECT_TYPE_TRIGGER_O
EFFECT_TYPE_SINGLE_TRIGGER_F=EFFECT_TYPE_SINGLE+EFFECT_TYPE_TRIGGER_F
EFFECT_TYPE_FIELD_TRIGGER_O=EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_O
EFFECT_TYPE_FIELD_TRIGGER_F=EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F
EFFECT_TYPE_CONTINUOUS_S=EFFECT_TYPE_SINGLE+EFFECT_TYPE_CONTINUOUS
EFFECT_TYPE_CONTINUOUS_F=EFFECT_TYPE_FIELD+EFFECT_TYPE_CONTINUOUS
EVENT_SUMMON_NEGATED=EVENT_CUSTOM+Config.GetValueOrDefault("negate-summon-event-id",99999999)
EFFECT_CUSTOM_TO_DECK=EVENT_CUSTOM+Config.GetValueOrDefault("to-deck-event-id",99999999)
EFFECT_FLAG_COMBINATION_RULES=NO_COPY_NO_DISABLE+EFFECT_FLAG_CANNOT_NEGATE+EFFECT_FLAG_IMMEDIATELY_APPLY+EFFECT_FLAG_IGNORE_IMMUNE
LOCATION_ALL=0xFF
SUMMON_TYPE_OBLATION=SUMMON_TYPE_SPECIAL+0xc000000
ARCHETYPE_ROSE=0x219
ARCHETYPE_ROSE_IDS={49674183,96470883,31986288,41160533,51085303,41201555,75252099,58569561,96385345,17720747,98884569,23087070,1557341,12469386,2986553,51852507,44125452,61049315,79531196,89252157,32485271,33698022,73580471,4290468,25090294,45247637,71645243,73580471,4290468,25090294}
ARCHETYPE_GARDEN_IDS={5050644,71645242}
CARD_GTDM=30000000
SET_GHOST_DRAGON=0xDF
